diff --git a/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c b/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c
index a3e0ba89bf..1cf18c6876 100644
--- a/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -160,7 +160,7 @@ AbDisplayUsage (
 
 
 #define AB_UTILITY_NAME             "ACPI Binary Table Dump Utility"
-#define AB_SUPPORTED_OPTIONS        "a:c:d:h:o:s:tv"
+#define AB_SUPPORTED_OPTIONS        "a:c:d:h:o:s:tv^"
 
 
 /******************************************************************************
@@ -186,12 +186,12 @@ AbDisplayUsage (
     ACPI_OPTION ("-a <File1> <File2>",      "Compare two binary AML files, dump all mismatches");
     ACPI_OPTION ("-c <File1> <File2>",      "Compare two binary AML files, dump first 100 mismatches");
     ACPI_OPTION ("-d <In> <Out>",           "Dump AML binary to text file");
-    ACPI_OPTION ("-e <Sig> <In> <Out>",     "Extract binary AML table from acpidump file");
     ACPI_OPTION ("-o <Value>",              "Start comparison at this offset into second file");
     ACPI_OPTION ("-h <File>",               "Display table header for binary AML file");
     ACPI_OPTION ("-s <File>",               "Update checksum for binary AML file");
     ACPI_OPTION ("-t",                      "Terse mode");
     ACPI_OPTION ("-v",                      "Display version information");
+    ACPI_OPTION ("-vd",                     "Display build date and time");
 }
 
 
@@ -292,7 +292,23 @@ main (
 
     case 'v': /* -v: (Version): signon already emitted, just exit */
 
-        return (0);
+        switch (AcpiGbl_Optarg[0])
+        {
+        case '^':  /* -v: (Version): signon already emitted, just exit */
+
+            return (1);
+
+        case 'd':
+
+            printf (ACPI_COMMON_BUILD_TIME);
+            return (1);
+
+        default:
+
+            printf ("Unknown option: -v%s\n", AcpiGbl_Optarg);
+            return (-1);
+        }
+        break;
 
     default:
 
diff --git a/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h b/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h
index f106349021..f07cabb223 100644
--- a/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h
+++ b/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h b/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h
index 672e51e534..a02e7dc36b 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c b/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c
index cd83dcc4c5..8ed4924d99 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c b/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c
index 70b73d2064..3c4a69cd73 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c b/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c
index 99962797d7..55003af5f9 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -199,7 +199,7 @@ UINT32                      CurrentAction = 0;
 
 
 #define AP_UTILITY_NAME             "ACPI Binary Table Dump Utility"
-#define AP_SUPPORTED_OPTIONS        "?a:bc:f:hn:o:r:svxz"
+#define AP_SUPPORTED_OPTIONS        "?a:bc:f:hn:o:r:sv^xz"
 
 
 /******************************************************************************
@@ -223,6 +223,7 @@ ApDisplayUsage (
     ACPI_OPTION ("-r <Address>",            "Dump tables from specified RSDP");
     ACPI_OPTION ("-s",                      "Print table summaries only");
     ACPI_OPTION ("-v",                      "Display version information");
+    ACPI_OPTION ("-vd",                     "Display build date and time");
     ACPI_OPTION ("-z",                      "Verbose mode");
 
     ACPI_USAGE_TEXT ("\nTable Options:\n");
@@ -369,10 +370,27 @@ ApDoOptions (
         }
         continue;
 
-    case 'v':   /* Revision/version */
+    case 'v': /* -v: (Version): signon already emitted, just exit */
 
-        AcpiOsPrintf (ACPI_COMMON_SIGNON (AP_UTILITY_NAME));
-        return (1);
+        switch (AcpiGbl_Optarg[0])
+        {
+        case '^':  /* -v: (Version) */
+
+            fprintf (stderr, ACPI_COMMON_SIGNON (AP_UTILITY_NAME));
+            return (1);
+
+        case 'd':
+
+            fprintf (stderr, ACPI_COMMON_SIGNON (AP_UTILITY_NAME));
+            printf (ACPI_COMMON_BUILD_TIME);
+            return (1);
+
+        default:
+
+            printf ("Unknown option: -v%s\n", AcpiGbl_Optarg);
+            return (-1);
+        }
+        break;
 
     case 'z':   /* Verbose mode */
 
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h b/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
index b4864610a6..49a386be50 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -189,7 +189,9 @@ typedef struct ae_debug_regions
 } AE_DEBUG_REGIONS;
 
 
+extern BOOLEAN              AcpiGbl_UseLocalFaultHandler;
 extern BOOLEAN              AcpiGbl_IgnoreErrors;
+extern BOOLEAN              AcpiGbl_AbortLoopOnTimeout;
 extern UINT8                AcpiGbl_RegionFillValue;
 extern UINT8                AcpiGbl_UseHwReducedFadt;
 extern BOOLEAN              AcpiGbl_DisplayRegionAccess;
@@ -198,6 +200,10 @@ extern BOOLEAN              AcpiGbl_LoadTestTables;
 extern FILE                 *AcpiGbl_NamespaceInitFile;
 extern ACPI_CONNECTION_INFO AeMyContext;
 
+extern UINT8                Ssdt2Code[];
+extern UINT8                Ssdt3Code[];
+extern UINT8                Ssdt4Code[];
+
 
 #define TEST_OUTPUT_LEVEL(lvl)          if ((lvl) & OutputLevel)
 
@@ -263,18 +269,14 @@ ACPI_STATUS
 AeDisplayAllMethods (
     UINT32                  DisplayCount);
 
-ACPI_STATUS
-AeInstallEarlyHandlers (
-    void);
-
-ACPI_STATUS
-AeInstallLateHandlers (
-    void);
+/* aetests */
 
 void
 AeMiscellaneousTests (
     void);
 
+/* aeregion */
+
 ACPI_STATUS
 AeRegionHandler (
     UINT32                  Function,
@@ -284,6 +286,30 @@ AeRegionHandler (
     void                    *HandlerContext,
     void                    *RegionContext);
 
+/* aeinstall */
+
+ACPI_STATUS
+AeInstallDeviceHandlers (
+    void);
+
+void
+AeInstallRegionHandlers (
+    void);
+
+void
+AeOverrideRegionHandlers (
+    void);
+
+/* aehandlers */
+
+ACPI_STATUS
+AeInstallEarlyHandlers (
+    void);
+
+ACPI_STATUS
+AeInstallLateHandlers (
+    void);
+
 UINT32
 AeGpeHandler (
     ACPI_HANDLE             GpeDevice,
@@ -297,29 +323,50 @@ AeGlobalEventHandler (
     UINT32                  EventNumber,
     void                    *Context);
 
-/* aeregion */
+/* aeinitfile */
 
-ACPI_STATUS
-AeInstallDeviceHandlers (
+int
+AeOpenInitializationFile (
+    char                    *Filename);
+
+void
+AeDoObjectOverrides (
     void);
 
+ACPI_STATUS
+AeSetupConfiguration (
+    void                    *RegionAddr);
+
+/* aeexec */
+
 void
-AeInstallRegionHandlers (
+AeTestBufferArgument (
     void);
 
 void
-AeOverrideRegionHandlers (
+AeTestPackageArgument (
     void);
 
+ACPI_STATUS
+AeGetDevices (
+    ACPI_HANDLE             ObjHandle,
+    UINT32                  NestingLevel,
+    void                    *Context,
+    void                    **ReturnValue);
 
-/* aeinitfile */
+ACPI_STATUS
+ExecuteOSI (
+    char                    *OsiString,
+    UINT64                  ExpectedResult);
 
-int
-AeOpenInitializationFile (
-    char                    *Filename);
+void
+AeGenericRegisters (
+    void);
 
+#if (!ACPI_REDUCED_HARDWARE)
 void
-AeDoObjectOverrides (
+AfInstallGpeBlock (
     void);
+#endif /* !ACPI_REDUCED_HARDWARE */
 
 #endif /* _AECOMMON */
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aeexception.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aeexception.c
index 62e9db0a01..2f5bfb22d3 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aeexception.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aeexception.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -196,11 +196,27 @@ AeExceptionHandler (
     Exception = AcpiFormatException (AmlStatus);
     AcpiOsPrintf (AE_PREFIX
         "Exception %s during execution\n", Exception);
+
     if (Name)
     {
-        AcpiOsPrintf (AE_PREFIX
-            "Evaluating Method or Node: [%4.4s]",
-            (char *) &Name);
+        if (ACPI_COMPARE_NAME (&Name, ACPI_ROOT_PATHNAME))
+        {
+            AcpiOsPrintf (AE_PREFIX
+                "Evaluating executable code at [%s]\n", ACPI_NAMESPACE_ROOT);
+        }
+        else
+        {
+            AcpiOsPrintf (AE_PREFIX
+                "Evaluating Method or Node: [%4.4s]\n", (char *) &Name);
+        }
+    }
+
+    /* Be terse about loop timeouts */
+
+    if ((AmlStatus == AE_AML_LOOP_TIMEOUT) && AcpiGbl_AbortLoopOnTimeout)
+    {
+        AcpiOsPrintf (AE_PREFIX "Aborting loop after timeout\n");
+        return (AE_OK);
     }
 
     AcpiOsPrintf ("\n" AE_PREFIX
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c
index 2594f7d00a..96724d17e3 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c
@@ -1,6 +1,7 @@
 /******************************************************************************
  *
- * Module Name: aeexec - Support routines for AcpiExec utility
+ * Module Name: aeexec - Argument testing for control method execution.
+ *                       Also some other miscellaneous tests.
  *
  *****************************************************************************/
 
@@ -8,7 +9,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -154,58 +155,6 @@
 #define _COMPONENT          ACPI_TOOLS
         ACPI_MODULE_NAME    ("aeexec")
 
-/* Local prototypes */
-
-static ACPI_STATUS
-AeSetupConfiguration (
-    void                    *RegionAddr);
-
-static void
-AeTestBufferArgument (
-    void);
-
-static void
-AeTestPackageArgument (
-    void);
-
-static ACPI_STATUS
-AeGetDevices (
-    ACPI_HANDLE             ObjHandle,
-    UINT32                  NestingLevel,
-    void                    *Context,
-    void                    **ReturnValue);
-
-static ACPI_STATUS
-ExecuteOSI (
-    char                    *OsiString,
-    UINT64                  ExpectedResult);
-
-static void
-AeMutexInterfaces (
-    void);
-
-static void
-AeHardwareInterfaces (
-    void);
-
-static void
-AeGenericRegisters (
-    void);
-
-static void
-AeTestSleepData (
-    void);
-
-#if (!ACPI_REDUCED_HARDWARE)
-static void
-AfInstallGpeBlock (
-    void);
-#endif /* !ACPI_REDUCED_HARDWARE */
-
-extern unsigned char Ssdt2Code[];
-extern unsigned char Ssdt3Code[];
-extern unsigned char Ssdt4Code[];
-
 
 /******************************************************************************
  *
@@ -220,7 +169,7 @@ extern unsigned char Ssdt4Code[];
  *
  *****************************************************************************/
 
-static ACPI_STATUS
+ACPI_STATUS
 AeSetupConfiguration (
     void                    *RegionAddr)
 {
@@ -256,7 +205,7 @@ AeSetupConfiguration (
  *
  *****************************************************************************/
 
-static void
+void
 AfInstallGpeBlock (
     void)
 {
@@ -337,9 +286,15 @@ AfInstallGpeBlock (
 #endif /* !ACPI_REDUCED_HARDWARE */
 
 
-/* Test using a Buffer object as a method argument */
+/******************************************************************************
+ *
+ * FUNCTION:    AeTestBufferArgument
+ *
+ * DESCRIPTION: Test using a Buffer object as a method argument
+ *
+ *****************************************************************************/
 
-static void
+void
 AeTestBufferArgument (
     void)
 {
@@ -369,11 +324,15 @@ static ACPI_OBJECT                 PkgElements[5];
 static ACPI_OBJECT                 Pkg2Elements[5];
 static ACPI_OBJECT_LIST            Params;
 
+/******************************************************************************
+ *
+ * FUNCTION:    AeTestPackageArgument
+ *
+ * DESCRIPTION: Test using a Package object as a method argument
+ *
+ *****************************************************************************/
 
-/*
- * Test using a Package object as an method argument
- */
-static void
+void
 AeTestPackageArgument (
     void)
 {
@@ -419,7 +378,15 @@ AeTestPackageArgument (
 }
 
 
-static ACPI_STATUS
+/******************************************************************************
+ *
+ * FUNCTION:    AeGetDevices
+ *
+ * DESCRIPTION: Stubbed at this time.
+ *
+ *****************************************************************************/
+
+ACPI_STATUS
 AeGetDevices (
     ACPI_HANDLE                     ObjHandle,
     UINT32                          NestingLevel,
@@ -444,7 +411,7 @@ AeGetDevices (
  *
  *****************************************************************************/
 
-static ACPI_STATUS
+ACPI_STATUS
 ExecuteOSI (
     char                    *OsiString,
     UINT64                  ExpectedResult)
@@ -531,7 +498,7 @@ ExecuteOSI (
 
 static ACPI_GENERIC_ADDRESS       GenericRegister;
 
-static void
+void
 AeGenericRegisters (
     void)
 {
@@ -560,418 +527,3 @@ AeGenericRegisters (
     Status = AcpiWrite (Value, &GenericRegister);
     ACPI_CHECK_OK (AcpiWrite, Status);
 }
-
-
-/******************************************************************************
- *
- * FUNCTION:    AeMutexInterfaces
- *
- * DESCRIPTION: Exercise the AML mutex access interfaces
- *
- *****************************************************************************/
-
-static void
-AeMutexInterfaces (
-    void)
-{
-    ACPI_STATUS             Status;
-    ACPI_HANDLE             MutexHandle;
-
-
-    /* Get a handle to an AML mutex */
-
-    Status = AcpiGetHandle (NULL, "\\MTX1", &MutexHandle);
-    if (Status == AE_NOT_FOUND)
-    {
-        return;
-    }
-
-    ACPI_CHECK_OK (AcpiGetHandle, Status);
-    if (ACPI_FAILURE (Status))
-    {
-        return;
-    }
-
-    /* Acquire the  mutex */
-
-    Status = AcpiAcquireMutex (NULL, "\\MTX1", 0xFFFF);
-    ACPI_CHECK_OK (AcpiAcquireMutex, Status);
-    if (ACPI_FAILURE (Status))
-    {
-        return;
-    }
-
-    /* Release mutex with different parameters */
-
-    Status = AcpiReleaseMutex (MutexHandle, NULL);
-    ACPI_CHECK_OK (AcpiReleaseMutex, Status);
-}
-
-
-/******************************************************************************
- *
- * FUNCTION:    AeHardwareInterfaces
- *
- * DESCRIPTION: Call various hardware support interfaces
- *
- *****************************************************************************/
-
-static void
-AeHardwareInterfaces (
-    void)
-{
-#if (!ACPI_REDUCED_HARDWARE)
-
-    ACPI_STATUS             Status;
-    UINT32                  Value;
-
-
-    /* If Hardware Reduced flag is set, we are all done */
-
-    if (AcpiGbl_ReducedHardware)
-    {
-        return;
-    }
-
-    Status = AcpiWriteBitRegister (ACPI_BITREG_WAKE_STATUS, 1);
-    ACPI_CHECK_OK (AcpiWriteBitRegister, Status);
-
-    Status = AcpiWriteBitRegister (ACPI_BITREG_GLOBAL_LOCK_ENABLE, 1);
-    ACPI_CHECK_OK (AcpiWriteBitRegister, Status);
-
-    Status = AcpiWriteBitRegister (ACPI_BITREG_SLEEP_ENABLE, 1);
-    ACPI_CHECK_OK (AcpiWriteBitRegister, Status);
-
-    Status = AcpiWriteBitRegister (ACPI_BITREG_ARB_DISABLE, 1);
-    ACPI_CHECK_OK (AcpiWriteBitRegister, Status);
-
-
-    Status = AcpiReadBitRegister (ACPI_BITREG_WAKE_STATUS, &Value);
-    ACPI_CHECK_OK (AcpiReadBitRegister, Status);
-
-    Status = AcpiReadBitRegister (ACPI_BITREG_GLOBAL_LOCK_ENABLE, &Value);
-    ACPI_CHECK_OK (AcpiReadBitRegister, Status);
-
-    Status = AcpiReadBitRegister (ACPI_BITREG_SLEEP_ENABLE, &Value);
-    ACPI_CHECK_OK (AcpiReadBitRegister, Status);
-
-    Status = AcpiReadBitRegister (ACPI_BITREG_ARB_DISABLE, &Value);
-    ACPI_CHECK_OK (AcpiReadBitRegister, Status);
-
-#endif /* !ACPI_REDUCED_HARDWARE */
-}
-
-
-/******************************************************************************
- *
- * FUNCTION:    AeTestSleepData
- *
- * DESCRIPTION: Exercise the sleep/wake support (_S0, _S1, etc.)
- *
- *****************************************************************************/
-
-static void
-AeTestSleepData (
-    void)
-{
-    int                     State;
-    UINT8                   TypeA;
-    UINT8                   TypeB;
-    ACPI_STATUS             Status;
-
-
-    /* Attempt to get sleep data for all known sleep states */
-
-    for (State = ACPI_STATE_S0; State <= ACPI_S_STATES_MAX; State++)
-    {
-        Status = AcpiGetSleepTypeData ((UINT8) State, &TypeA, &TypeB);
-
-        /* All sleep methods are optional */
-
-        if (Status != AE_NOT_FOUND)
-        {
-            ACPI_CHECK_OK (AcpiGetSleepTypeData, Status);
-        }
-    }
-}
-
-
-/******************************************************************************
- *
- * FUNCTION:    AeMiscellaneousTests
- *
- * DESCRIPTION: Various ACPICA validation tests.
- *
- *****************************************************************************/
-
-void
-AeMiscellaneousTests (
-    void)
-{
-    ACPI_BUFFER             ReturnBuf;
-    char                    Buffer[32];
-    ACPI_STATUS             Status;
-    ACPI_STATISTICS         Stats;
-    ACPI_HANDLE             Handle;
-
-#if (!ACPI_REDUCED_HARDWARE)
-    UINT32                  LockHandle1;
-    UINT32                  LockHandle2;
-    ACPI_VENDOR_UUID        Uuid =
-        {0, {ACPI_INIT_UUID (0,0,0,0,0,0,0,0,0,0,0)}};
-#endif /* !ACPI_REDUCED_HARDWARE */
-
-
-    Status = AcpiGetHandle (NULL, "\\", &Handle);
-    ACPI_CHECK_OK (AcpiGetHandle, Status);
-
-    if (AcpiGbl_DoInterfaceTests)
-    {
-        /*
-         * Tests for AcpiLoadTable and AcpiUnloadParentTable
-         */
-
-        /* Attempt unload of DSDT, should fail */
-
-        Status = AcpiGetHandle (NULL, "\\_SB_", &Handle);
-        ACPI_CHECK_OK (AcpiGetHandle, Status);
-
-        Status = AcpiUnloadParentTable (Handle);
-        ACPI_CHECK_STATUS (AcpiUnloadParentTable, Status, AE_TYPE);
-
-        /* Load and unload SSDT4 */
-
-        Status = AcpiLoadTable ((ACPI_TABLE_HEADER *) Ssdt4Code);
-        ACPI_CHECK_OK (AcpiLoadTable, Status);
-
-        Status = AcpiGetHandle (NULL, "\\_T96", &Handle);
-        ACPI_CHECK_OK (AcpiGetHandle, Status);
-
-        Status = AcpiUnloadParentTable (Handle);
-        ACPI_CHECK_OK (AcpiUnloadParentTable, Status);
-
-        /* Re-load SSDT4 */
-
-        Status = AcpiLoadTable ((ACPI_TABLE_HEADER *) Ssdt4Code);
-        ACPI_CHECK_OK (AcpiLoadTable, Status);
-
-        /* Unload and re-load SSDT2 (SSDT2 is in the XSDT) */
-
-        Status = AcpiGetHandle (NULL, "\\_T99", &Handle);
-        ACPI_CHECK_OK (AcpiGetHandle, Status);
-
-        Status = AcpiUnloadParentTable (Handle);
-        ACPI_CHECK_OK (AcpiUnloadParentTable, Status);
-
-        Status = AcpiLoadTable ((ACPI_TABLE_HEADER *) Ssdt2Code);
-        ACPI_CHECK_OK (AcpiLoadTable, Status);
-
-        /* Load OEM9 table (causes table override) */
-
-        Status = AcpiLoadTable ((ACPI_TABLE_HEADER *) Ssdt3Code);
-        ACPI_CHECK_OK (AcpiLoadTable, Status);
-    }
-
-    AeHardwareInterfaces ();
-    AeGenericRegisters ();
-    AeSetupConfiguration (Ssdt3Code);
-
-    AeTestBufferArgument();
-    AeTestPackageArgument ();
-    AeMutexInterfaces ();
-    AeTestSleepData ();
-
-    /* Test _OSI install/remove */
-
-    Status = AcpiInstallInterface ("");
-    ACPI_CHECK_STATUS (AcpiInstallInterface, Status, AE_BAD_PARAMETER);
-
-    Status = AcpiInstallInterface ("TestString");
-    ACPI_CHECK_OK (AcpiInstallInterface, Status);
-
-    Status = AcpiInstallInterface ("TestString");
-    ACPI_CHECK_STATUS (AcpiInstallInterface, Status, AE_ALREADY_EXISTS);
-
-    Status = AcpiRemoveInterface ("Windows 2006");
-    ACPI_CHECK_OK (AcpiRemoveInterface, Status);
-
-    Status = AcpiRemoveInterface ("TestString");
-    ACPI_CHECK_OK (AcpiRemoveInterface, Status);
-
-    Status = AcpiRemoveInterface ("XXXXXX");
-    ACPI_CHECK_STATUS (AcpiRemoveInterface, Status, AE_NOT_EXIST);
-
-    Status = AcpiInstallInterface ("AnotherTestString");
-    ACPI_CHECK_OK (AcpiInstallInterface, Status);
-
-    /* Test _OSI execution */
-
-    Status = ExecuteOSI ("Extended Address Space Descriptor", ACPI_UINT64_MAX);
-    ACPI_CHECK_OK (ExecuteOSI, Status);
-
-    Status = ExecuteOSI ("Windows 2001", ACPI_UINT64_MAX);
-    ACPI_CHECK_OK (ExecuteOSI, Status);
-
-    Status = ExecuteOSI ("MichiganTerminalSystem", 0);
-    ACPI_CHECK_OK (ExecuteOSI, Status);
-
-
-    ReturnBuf.Length = 32;
-    ReturnBuf.Pointer = Buffer;
-
-    Status = AcpiGetName (ACPI_ROOT_OBJECT,
-        ACPI_FULL_PATHNAME_NO_TRAILING, &ReturnBuf);
-    ACPI_CHECK_OK (AcpiGetName, Status);
-
-    /* Get Devices */
-
-    Status = AcpiGetDevices (NULL, AeGetDevices, NULL, NULL);
-    ACPI_CHECK_OK (AcpiGetDevices, Status);
-
-    Status = AcpiGetStatistics (&Stats);
-    ACPI_CHECK_OK (AcpiGetStatistics, Status);
-
-
-#if (!ACPI_REDUCED_HARDWARE)
-
-    Status = AcpiInstallGlobalEventHandler (AeGlobalEventHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGlobalEventHandler, Status);
-
-    /* If Hardware Reduced flag is set, we are all done */
-
-    if (AcpiGbl_ReducedHardware)
-    {
-        return;
-    }
-
-    Status = AcpiEnableEvent (ACPI_EVENT_GLOBAL, 0);
-    ACPI_CHECK_OK (AcpiEnableEvent, Status);
-
-    /*
-     * GPEs: Handlers, enable/disable, etc.
-     */
-    Status = AcpiInstallGpeHandler (NULL, 0,
-        ACPI_GPE_LEVEL_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiEnableGpe (NULL, 0);
-    ACPI_CHECK_OK (AcpiEnableGpe, Status);
-
-    Status = AcpiRemoveGpeHandler (NULL, 0, AeGpeHandler);
-    ACPI_CHECK_OK (AcpiRemoveGpeHandler, Status);
-
-    Status = AcpiInstallGpeHandler (NULL, 0,
-        ACPI_GPE_LEVEL_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiEnableGpe (NULL, 0);
-    ACPI_CHECK_OK (AcpiEnableGpe, Status);
-
-    Status = AcpiSetGpe (NULL, 0, ACPI_GPE_DISABLE);
-    ACPI_CHECK_OK (AcpiSetGpe, Status);
-
-    Status = AcpiSetGpe (NULL, 0, ACPI_GPE_ENABLE);
-    ACPI_CHECK_OK (AcpiSetGpe, Status);
-
-
-    Status = AcpiInstallGpeHandler (NULL, 1,
-        ACPI_GPE_EDGE_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiEnableGpe (NULL, 1);
-    ACPI_CHECK_OK (AcpiEnableGpe, Status);
-
-
-    Status = AcpiInstallGpeHandler (NULL, 2,
-        ACPI_GPE_LEVEL_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiEnableGpe (NULL, 2);
-    ACPI_CHECK_OK (AcpiEnableGpe, Status);
-
-
-    Status = AcpiInstallGpeHandler (NULL, 3,
-        ACPI_GPE_EDGE_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiInstallGpeHandler (NULL, 4,
-        ACPI_GPE_LEVEL_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiInstallGpeHandler (NULL, 5,
-        ACPI_GPE_EDGE_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiGetHandle (NULL, "\\_SB", &Handle);
-    ACPI_CHECK_OK (AcpiGetHandle, Status);
-
-    Status = AcpiSetupGpeForWake (Handle, NULL, 5);
-    ACPI_CHECK_OK (AcpiSetupGpeForWake, Status);
-
-    Status = AcpiSetGpeWakeMask (NULL, 5, ACPI_GPE_ENABLE);
-    ACPI_CHECK_OK (AcpiSetGpeWakeMask, Status);
-
-    Status = AcpiSetupGpeForWake (Handle, NULL, 6);
-    ACPI_CHECK_OK (AcpiSetupGpeForWake, Status);
-
-    Status = AcpiSetupGpeForWake (ACPI_ROOT_OBJECT, NULL, 6);
-    ACPI_CHECK_OK (AcpiSetupGpeForWake, Status);
-
-    Status = AcpiSetupGpeForWake (Handle, NULL, 9);
-    ACPI_CHECK_OK (AcpiSetupGpeForWake, Status);
-
-    Status = AcpiInstallGpeHandler (NULL, 0x19,
-        ACPI_GPE_LEVEL_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiEnableGpe (NULL, 0x19);
-    ACPI_CHECK_OK (AcpiEnableGpe, Status);
-
-
-    /* GPE block 1 */
-
-    Status = AcpiInstallGpeHandler (NULL, 101,
-        ACPI_GPE_LEVEL_TRIGGERED, AeGpeHandler, NULL);
-    ACPI_CHECK_OK (AcpiInstallGpeHandler, Status);
-
-    Status = AcpiEnableGpe (NULL, 101);
-    ACPI_CHECK_OK (AcpiEnableGpe, Status);
-
-    Status = AcpiDisableGpe (NULL, 101);
-    ACPI_CHECK_OK (AcpiDisableGpe, Status);
-
-    AfInstallGpeBlock ();
-
-    /* Here is where the GPEs are actually "enabled" */
-
-    Status = AcpiUpdateAllGpes ();
-    ACPI_CHECK_OK (AcpiUpdateAllGpes, Status);
-
-    Status = AcpiGetHandle (NULL, "RSRC", &Handle);
-    if (ACPI_SUCCESS (Status))
-    {
-        ReturnBuf.Length = ACPI_ALLOCATE_BUFFER;
-
-        Status = AcpiGetVendorResource (Handle, "_CRS", &Uuid, &ReturnBuf);
-        if (ACPI_SUCCESS (Status))
-        {
-            AcpiOsFree (ReturnBuf.Pointer);
-        }
-    }
-
-    /* Test global lock */
-
-    Status = AcpiAcquireGlobalLock (0xFFFF, &LockHandle1);
-    ACPI_CHECK_OK (AcpiAcquireGlobalLock, Status);
-
-    Status = AcpiAcquireGlobalLock (0x5, &LockHandle2);
-    ACPI_CHECK_OK (AcpiAcquireGlobalLock, Status);
-
-    Status = AcpiReleaseGlobalLock (LockHandle1);
-    ACPI_CHECK_OK (AcpiReleaseGlobalLock, Status);
-
-    Status = AcpiReleaseGlobalLock (LockHandle2);
-    ACPI_CHECK_OK (AcpiReleaseGlobalLock, Status);
-
-#endif /* !ACPI_REDUCED_HARDWARE */
-}
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c
index b28541955a..3091fee45f 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -526,10 +526,12 @@ AeAttachedDataHandler (
 {
     ACPI_NAMESPACE_NODE     *Node = ACPI_CAST_PTR (ACPI_NAMESPACE_NODE, Data);
 
+    ACPI_FUNCTION_NAME (AeAttachedDataHandler1);
 
-    AcpiOsPrintf (AE_PREFIX
-        "Received an attached data deletion (1) on %4.4s\n",
-        Node->Name.Ascii);
+
+    ACPI_DEBUG_PRINT ((ACPI_DB_INFO,
+         "Received an attached data deletion at handler 1 on %4.4s\n",
+        Node->Name.Ascii));
 }
 
 
@@ -549,10 +551,12 @@ AeAttachedDataHandler2 (
 {
     ACPI_NAMESPACE_NODE     *Node = ACPI_CAST_PTR (ACPI_NAMESPACE_NODE, Data);
 
+    ACPI_FUNCTION_NAME (AeAttachedDataHandler2);
 
-    AcpiOsPrintf (AE_PREFIX
-        "Received an attached data deletion (2) on %4.4s\n",
-        Node->Name.Ascii);
+
+    ACPI_DEBUG_PRINT ((ACPI_DB_INFO,
+         "Received an attached data deletion at handler 2 on %4.4s\n",
+        Node->Name.Ascii));
 }
 
 
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aeinitfile.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aeinitfile.c
index 72ccc0f824..804a2cbcd6 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aeinitfile.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aeinitfile.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
